use crate::println;
use core::panic::PanicInfo;

#[panic_handler]
fn panic_handler(info: &PanicInfo) -> ! {
    let message = info.message();

    if let Some(location) = info.location() {
        println!(
            "Panicked at {}:{} {}",
            location.file(),
            location.line(),
            message
        );
    } else {
        println!("Panicked: {}", message);
    }

    unreachable!()
}
